package com.itsol.quantrivanphong.manager.project.project.bussiness;

import com.itsol.quantrivanphong.manager.project.project.dto.ProjectDTO;
import com.itsol.quantrivanphong.report.issue.common.AbstractDaoPage;
import com.itsol.quantrivanphong.report.issue.common.WrapperResult;

import java.util.List;

public interface ProjectBussiness {
    //    Danh sách dự án tất cả các dự án
    List<ProjectDTO> findAllProject();

    //    upload thông tin dự án
    WrapperResult updateProject(ProjectDTO dto);

    //    thêm dự án mới
    WrapperResult saveProject(ProjectDTO dto);

    //    tìm kiếm dự án theo id
    ProjectDTO findByProjectId(Integer id);

    //  xóa một project
    WrapperResult deleteProjectById(Integer ids);

    AbstractDaoPage<ProjectDTO> getPageProject(int page, int pageSize);

}
